This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 97777 - installing mplayer for Shrike from freshrpms causes odd errors
installing mplayer for Shrike from freshrpms causes odd errors
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: rpm (Show other bugs)
alpha 3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
http://ftp.freshrpms.net/pub/freshrpm...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-20 16:05 EDT by Alexandre Oliva
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-24 15:02:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2003-06-20 16:05:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030613

Description of problem:
While installing mplayer downloaded from the URL above (I have all dependencies
installed, but the problem seems to occur with --nodeps too), rpm prints an odd
message like this:

error: rpmdbAdd: skipping h#    1497 Header V3 DSA signature: BAD, key ID e42d547b

The package is installed, but it's not added to the database:

$ rpm -q mplayer
$

if I try to install it again, I get the same error message (sometimes with a
different number instead of 1497), but it also says:
warning: /etc/mplayer/codecs.conf saved as /etc/mplayer/codecs.conf.rpmorig

So I figured I could try to rebuild the database and see if it fixed the
problem.  It printed this message:

error: rpmdbNextIterator: skipping h#    1502 Header V3 DSA signature: BAD, key
ID e42d547b

and didn't fix the problem.  Suggestions?

Version-Release number of selected component (if applicable):
rpm-4.2.1-0.11

How reproducible:
Always

Steps to Reproduce:
1.Install Cambridge-A3
2.Install mplayer with --nodeps (and --nosignature, to avoid the message)
3.Note that it's not reported as installed, even though the files are there
4.Install it again
5.Rebuild the database
    

Actual Results:  The error remains

Expected Results:  Even if the RPM binary is actually broken (I don't know that
it is, it works perfectly well on Shrike), rpm's behavior is still
inappropriate.  If installation fails, files shouldn't be left behind.  If it
succeeds, the database should reflect the success.

Additional info:
Comment 1 Matthias Saou 2003-06-21 12:50:16 EDT
Well, I've just gotten the problem when trying to downgrade to the Shrike
package on my Rawhide system. The strange part is that "rpm -q mplayer" returns
nothing, and same for "rpm -e mplayer", which should return "package not
installed" or something.

That mplayer package was built and signed on a fully updated Shrike system,
using rpm 4.2-0.69.

Matthias
Comment 2 Jeff Johnson 2003-06-24 15:02:50 EDT
Fixed (by replaceing modulo inverse for DSA) in beecrypt-3.0.0-2.

Warren: there are updated beecrypt-3.0.0-2.fdr.1 packages at
   ftp://people.redhat.com/jbj/test-4.2.1
Comment 3 Alexandre Oliva 2003-06-25 19:52:34 EDT
Confirmed fixed with beecrypt-3.0.0-2

Note You need to log in before you can comment on or make changes to this bug.